<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
	<script type="text/javascript">
	
	/*estamos creando una clase*/
	let Punto=function(){
		//los siguientes miembros son propiedades
		//las siguientes son privadas
		let x;
		let y;
		let sup=this; //esto es para poder utilizar dentro de metodos privados las propiedades publicas
		//las siguientes son publicas
		this.color;
		this.ancho;

		//los siguientes miembros son metodos
		//las siguientes son publicas
		this.getX=function(){
			return x;
		}

		this.getY=function(){
			return y;
		}

		this.setX=function(valor){
			x=valor;
		}

		this.setY=function(valor){
			y=valor;
		}
		
	}


	</script>
</head>
<body>
	
</body>
</html>